# Setup Guide

### Prerequisites <a href="#prerequisites" id="prerequisites"></a>

To connect Google Ads to DinMo, you need a Google Ads account.

### Setup instructions <a href="#setupinstructions" id="setupinstructions"></a>

#### STEP 1: Find customer ID <a href="#findcustomerid" id="findcustomerid"></a>

1. Log in to your [Google Ads account](https://ads.google.com/nav/login).
2. Locate your Google Ads customer ID and make a note of it. You will need it to fill in your Google Ads setup form.

   ![Customer ID](https://fivetran.com/static-assets-docs/_next/static/media/customer-id.f915f878.webp)

#### STEP 2: Begin DinMo configuration <a href="#beginfivetranconfiguration" id="beginfivetranconfiguration"></a>

1. Enter your chosen destination schema name in the connection setup form.
2. (Hybrid Deployment only) If your destination is configured for Hybrid Deployment, the Hybrid Deployment Agent associated with your destination is pre-selected in the **Select an existing agent** drop-down menu. To use a different agent, select the agent of your choice, and then select the same agent for your destination.
3. Enter the Google Ads customer ID you found.
4. Click **Authorize with Google** to allow DinMo to access your Google Ads account using OAuth.
5. Select your sync mode:
   * Select **Sync All Accounts** to sync all accounts you have access to.
   * Select **Sync Specific Accounts** to sync specific accounts only. Use the **+ Accounts** link to add accounts you'd like to sync.
   * Select **Sync Specific Manager Accounts** to sync specific Manager accounts only. Use the **+ Manager accounts** link to add accounts you'd like to sync.

{% hint style="info" %}
In the **Sync Specific Manager Accounts** mode, DinMo will find and sync the client accounts that are direct children of the selected manager accounts. If a manager account has sub-manager accounts, their clients won't be synced.
{% endhint %}

#### STEP 3: Add Custom report (Optional) <a href="#optionaladdcustomreport" id="optionaladdcustomreport"></a>

If you want to sync a Custom report:

1. Click **+ Custom report**.
2. Enter a **Destination table** name for the custom report being added. It must be unique within this connection and must comply with DinMo's naming conventions.

   Give the table a name you will find easy to identify with the report in the future. When you want to enable or disable the sync for a particular report once it is set up, you will do so by selecting its table in the connection's Schema tab.
3. (Optional) Select the **Report Name** of the report you'd like to sync.
4. (Optional) Select the **Fields** you'd like to sync for the report. See [Google's Ads API Report Types documentation](https://developers.google.com/google-ads/api/fields/v10/overview).

{% hint style="info" %}
Including certain fields in the report can result in fetching less rows than expected or no rows at all. These known fields are:

* `bidding_strategy`, `accessible_bidding_strategy` - Adding these fields to the report may result in fetching no rows.
* `segments.keyword`, `segments.keyword.ad_group_criterion` - Adding these fields to the report may result in fetching only the rows that include the keyword criterion.
* `segments.geo_target_*` - Adding these fields to the report may result in fetching less rows than expected because not all rows can be segmented by all `geo_target` segments.
  {% endhint %}

{% hint style="info" %}
All connections created before June 7, 2024 require the `segments.date` field because the reports are synced by day. All reports without the `segments.date` field are not supported.\
\
Connections created after June 7, 2024 provide a higher timeline granularity and require *one* of the following segments: `segments.date`, `segments.week`, or `segments.month`.
{% endhint %}

5. Click **Save**.

   Repeat the previous five steps if you want to add another Custom report.

   To sync Performance Max campaign data, you must apply a specific configuration while adding a Custom report. See How Can I Sync Performance Max Campaigns to learn more.

#### STEP 4: Finish DinMo configuration <a href="#finishfivetranconfiguration" id="finishfivetranconfiguration"></a>

1. (Optional) Click **Show Advanced Options** to set the skip empty reports option and conversion window size.
2. (Optional) Set the **Skip Empty Reports** toggle to On or Off. Disabling this option may decrease connection performance.
3. (Optional) Select the size of the conversion window in the drop-down menu or set it to **AUTO** if you want to detect the window size automatically.

{% hint style="info" %}
Changing the conversion window size for the connection does *not* affect the conversion window settings in your Google Ads account.
{% endhint %}

4. In the **Historical Sync Time Frame** drop-down, select how many months' worth of reporting data you'd like to include in your initial sync.
5. Click **Save & Test**. DinMo will take it from here and sync your Google Ads account data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dinmo.io/integrations/dinmo-ingest/google-ads/setup-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
